FOREIGN_AIPS1_READ_HEADER(3)

EXPERIMENTAL_FUNC
foreign_aips1_read_header - Read an AIPS dataset header.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_aips1_read_header

(CONST char *setname, flag data_alloc, KAIPS1DataContext *context)

DESCRIPTION
Read an AIPS dataset header.

setname
    The AIPS dataset name.

data_alloc
    If TRUE, the data space is allocated.

context
    The data reading context is written here, to be used in subsequent calls to <-foreign_aips1_read_data->. This may be NULL.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/